#
# Conditional build
%bcond_without	tests	# perform "make check"
#
Summary:	GNU Macro Processor
Summary(de.UTF-8):	GNU-Makro-Prozessor
Summary(fr.UTF-8):	Processeur de macros de GNU
Summary(pl.UTF-8):	GNU procesor języka makrodefinicji
Summary(tr.UTF-8):	GNU Makroİşlemcisi
Name:		m4
Version:	1.4.17
Release:	2
Epoch:		3
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/m4/%{name}-%{version}.tar.xz
# Source0-md5:	12a3c829301a4fd6586a57d3fcf196dc
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/m4/
BuildRequires:	libsigsegv
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GNU implementation of the traditional UNIX macro processor. M4 is
useful for writing text files which can be logically parsed, and is
used by many programs as part of their build process. M4 has built-in
functions for including files, running shell commands, doing
arithmetic, etc. The autoconf program needs m4 for generating
configure scripts, but not for running configure scripts.

%description -l de.UTF-8
Dies ist die GNU-Makroverarbeitungssprache. Es ist zum Schreiben von
Textdateien geeignet, die logisch geparst werden können. Viele
Programme nutzen dies als Teil des Build-Vorgangs.

%description -l fr.UTF-8
Le langage de macro commande GNU. Il est utile pour constituer des
fichiers textes devant etre parcourues logiquement. De nombreux
programmes l'utilisent lors de leur processus de construction.

%description -l pl.UTF-8
W pakiecie znajduje się m4 - GNU procesor języka makrodefinicji.
Używany jest do tworzenia plików tekstowych, które mogą być logicznie
parsowane. Wiele programów korzysta z m4 podczas procesu kompilacji
kodu źródłowego.

%package devel
Summary:	Files to develop application with embedded m4 interpreter
Summary(pl.UTF-8):	Pliki do tworzenia aplikacji z wbudowanym interpreterem m4
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Files to develop application with embedded m4 interpreter.

%description devel -l pl.UTF-8
Pliki do tworzenia aplikacji z wbudowanym interpreterem m4.

%package static
Summary:	Static m4 library
Summary(pl.UTF-8):	Statyczna biblioteka m4
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static m4 library.

%description static -l pl.UTF-8
Statyczna biblioteka m4.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	PACKAGE=m4 \
	%{!?debug:--without-dmalloc}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_tests:%{__make} check}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/m4
%{_infodir}/m4.info*
%{_mandir}/man1/m4.1*
%changelog
* Mon Jul 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/m4.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> f10d1dc
- x32 rebuild
- release 2 (by relup.sh)

* Tue Oct 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0baedc4
- really run tests

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 744166f
- updated to 1.4.17
- updated info patch
- removed obsolete stdio-gets patch

* Wed Dec 12 2012 Jan Rękorajski <baggins@pld-linux.org> e90703a
- fix missing gets definition
- rel 2

* Fri Mar 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d6623b
- up to 1.4.16

* Wed Sep 01 2010 Jakub Bogusz <qboosh@pld-linux.org> 8dfe9e4
- updated to 1.4.15
- switched to .xz source

* Mon Mar 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c0d7f64
- up to 1.4.14

* Fri Feb 19 2010 sparky <sparky@pld-linux.org> 8851115
- dropped unused BR: autoconf, automake, gettext-devel, libtool, perl-devel

* Fri Feb 19 2010 Elan Ruusamäe <glen@pld-linux.org> 7eace42
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ffba319
- drop obsolete files

* Fri Apr 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f38f510
- up to 1.4.13

* Tue Dec 09 2008 Elan Ruusamäe <glen@pld-linux.org> eb9a5ec
- adapter, check-files cleanup

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 63bf88b
- changelog fix

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 489b9d9
- up to 1.4.12

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 7329d0b
- updated info patch is back

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 53a0925
- outdated

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 087f7a0
- updated for 1.4.11

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> d6a19bb
- unify ftp.gnu.org urls

* Mon Apr 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 940c7aa
- up to 1.4.11

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 9c8fb29
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

